<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: inc/inputStructs.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">inputStructs.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="input_structs_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">/**********************************************************************************</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Copyright (c) 2021 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * This program and the accompanying materials are made available under the</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> **********************************************************************************/</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;bitset&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>decoop {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html">   32</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structdecoop_1_1_main_options.html">MainOptions</a> {</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a5477588b7543f9a5dc71c2a495090c75">   33</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a5477588b7543f9a5dc71c2a495090c75">nominal_lp</a>;                             </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#aeb193299c0e56c731987b970b6312e92">   34</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#aeb193299c0e56c731987b970b6312e92">price_lp</a>;                               </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a8c43d7fb85f28dcc1b1a66e60ae43157">   35</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a8c43d7fb85f28dcc1b1a66e60ae43157">integrated_lp</a>;                          </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a8f8776933747f455f4973fc786869a73">   36</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a8f8776933747f455f4973fc786869a73">sub_dr_lp</a>;                              </div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a96633b539424b2046da7a2829d0e0334">   37</a></span>&#160;        <span class="keywordtype">unsigned</span> <a class="code" href="structdecoop_1_1_main_options.html#a96633b539424b2046da7a2829d0e0334">timesteps</a>;                                 </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a3554b6bc902318c26081501c6e19f559">   38</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a3554b6bc902318c26081501c6e19f559">univ_str</a>;                               </div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a9b735345000795e52aafdfc9ae4c407e">   39</a></span>&#160;        std::vector&lt;std::pair&lt;int, double&gt;&gt; <a class="code" href="structdecoop_1_1_main_options.html#a9b735345000795e52aafdfc9ae4c407e">plantbusses</a>;    </div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a3ac01520df1f240d9f13e0126ba7143e">   40</a></span>&#160;        <span class="keywordtype">char</span> <a class="code" href="structdecoop_1_1_main_options.html#a3ac01520df1f240d9f13e0126ba7143e">cong_indicator</a>;                                </div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a8cb4d9f2195307716f83789852ed0341">   41</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="structdecoop_1_1_main_options.html#a8cb4d9f2195307716f83789852ed0341">use_int_prob</a>;                                  </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a90d8406e30b9ec993b7e3c9e7c6227bd">   42</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a90d8406e30b9ec993b7e3c9e7c6227bd">output_name</a>;                            </div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a960ff610d1b23ac3c91187529a60c8f1">   43</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a960ff610d1b23ac3c91187529a60c8f1">csv_name</a>;                               </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="comment">//Optional</span></div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#a0f0d543cd46cfb0ebf2dfc658a5ce12e">   45</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_main_options.html#a0f0d543cd46cfb0ebf2dfc658a5ce12e">spec_name</a>;                              </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="structdecoop_1_1_main_options.html#aeac3d0b456109248ae70f401caf96dda">   46</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structdecoop_1_1_main_options.html#aeac3d0b456109248ae70f401caf96dda">spec_func</a>;                                      </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keyword">friend</span> std::fstream&amp; <a class="code" href="structdecoop_1_1_main_options.html#a259a9032be522554bc91133d8860d0fa">operator&gt;&gt; </a>(std::fstream&amp; in, <a class="code" href="structdecoop_1_1_main_options.html">MainOptions</a>&amp; opt);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keyword">explicit</span> <a class="code" href="structdecoop_1_1_main_options.html#a1b9651a65be07c1cf306ad316f6a6f4d">MainOptions</a>(<span class="keyword">const</span> std::string&amp; path, <span class="keyword">const</span> <span class="keywordtype">bool</span> path_includes_name = <span class="keyword">false</span>);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    };</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html">   66</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structdecoop_1_1_algorithm_options.html">AlgorithmOptions</a> {</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a416177448ab5e0860a6608eb070d077a">   67</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_algorithm_options.html#a416177448ab5e0860a6608eb070d077a">master_lp_file</a>;                         </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a7e78934e5ce17d38d6306c201746f465">   68</a></span>&#160;        <span class="keywordtype">unsigned</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a7e78934e5ce17d38d6306c201746f465">max_iters</a>;                                 </div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a76b48fc86284a3356b5cc399bf71cf4c">   69</a></span>&#160;        <span class="keywordtype">unsigned</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a76b48fc86284a3356b5cc399bf71cf4c">primary_sp_type</a>;                           </div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a87f857a8e8522132ff8e816a69816fdf">   70</a></span>&#160;        <span class="keywordtype">unsigned</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a87f857a8e8522132ff8e816a69816fdf">secondary_sp_type</a>;                         </div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a7c5f0b0ea6148f253787a84c2e5afc00">   71</a></span>&#160;        <span class="keywordtype">double</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a7c5f0b0ea6148f253787a84c2e5afc00">initial_tau_factor</a>;                          </div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a167bffea4292fe44e2ede95642823161">   72</a></span>&#160;        <span class="keywordtype">double</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a167bffea4292fe44e2ede95642823161">accept_gap</a>;                                  </div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#ad4066cbd7583ea42db3bd3258017f7dd">   73</a></span>&#160;        <span class="keywordtype">double</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#ad4066cbd7583ea42db3bd3258017f7dd">rho</a>;                                         </div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#a3f206ae1268d151512e4d81b83ab6b88">   74</a></span>&#160;        <span class="keywordtype">double</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#a3f206ae1268d151512e4d81b83ab6b88">eps</a>;                                         </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="structdecoop_1_1_algorithm_options.html#ac0f8dd6ff10b1a69a2a8bbaddf6512ff">   75</a></span>&#160;        <span class="keywordtype">double</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#ac0f8dd6ff10b1a69a2a8bbaddf6512ff">mu</a>;                                          </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keyword">friend</span> std::fstream&amp; <a class="code" href="structdecoop_1_1_algorithm_options.html#a1892205cd1bf4c1dcf8214cc4bfbcb7d">operator&gt;&gt; </a>(std::fstream&amp; in, <a class="code" href="structdecoop_1_1_algorithm_options.html">AlgorithmOptions</a>&amp; opt);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keyword">explicit</span> <a class="code" href="structdecoop_1_1_algorithm_options.html#ae291f8136e977eb034ee35947dd7bac4">AlgorithmOptions</a>(<span class="keyword">const</span> std::string&amp; path, <span class="keyword">const</span> <span class="keywordtype">bool</span> path_includes_name = <span class="keyword">false</span>);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    };</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="structdecoop_1_1_subproblem_options.html">   95</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structdecoop_1_1_subproblem_options.html">SubproblemOptions</a> {</div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="structdecoop_1_1_subproblem_options.html#a62a5833dc2cddd9aede12f6250412b1d">   96</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_subproblem_options.html#a62a5833dc2cddd9aede12f6250412b1d">workspace_dir</a>;                          </div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="structdecoop_1_1_subproblem_options.html#a4f6d97f2cf2e609ae3145d385dac922a">   97</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_subproblem_options.html#a4f6d97f2cf2e609ae3145d385dac922a">lp_file_cw</a>;                             </div>
<div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="structdecoop_1_1_subproblem_options.html#a6adf585e6ae91a10acd8e9f2680a9042">   98</a></span>&#160;        std::string <a class="code" href="structdecoop_1_1_subproblem_options.html#a6adf585e6ae91a10acd8e9f2680a9042">lp_file_l1</a>;                             </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keyword">friend</span> std::fstream&amp; <a class="code" href="structdecoop_1_1_subproblem_options.html#aa172ab888763470a4175606504b9b5ff">operator&gt;&gt; </a>(std::fstream&amp; in, <a class="code" href="structdecoop_1_1_subproblem_options.html">SubproblemOptions</a>&amp; opt);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="keyword">explicit</span> <a class="code" href="structdecoop_1_1_subproblem_options.html#aa7d898f65ad2edb88b7f2834aa485054">SubproblemOptions</a>(<span class="keyword">const</span> std::string&amp; path, <span class="keyword">const</span> <span class="keywordtype">bool</span> path_includes_name = <span class="keyword">false</span>);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    };</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="namespacedecoop.html#ad534e2c0a18310dcbcd185623da4090a">ParseComments</a>(std::fstream&amp; input);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;} <span class="comment">//namespace decoop</span></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a1b9651a65be07c1cf306ad316f6a6f4d"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a1b9651a65be07c1cf306ad316f6a6f4d">decoop::MainOptions::MainOptions</a></div><div class="ttdeci">MainOptions(const std::string &amp;path, const bool path_includes_name=false)</div><div class="ttdoc">Constructs a MainOptions object given a path to the option file. Allows to specify a different file n...</div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:237</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html">decoop::SubproblemOptions</a></div><div class="ttdoc">Processes user input from file options_subproblem.txt. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:95</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a1892205cd1bf4c1dcf8214cc4bfbcb7d"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a1892205cd1bf4c1dcf8214cc4bfbcb7d">decoop::AlgorithmOptions::operator&gt;&gt;</a></div><div class="ttdeci">friend std::fstream &amp; operator&gt;&gt;(std::fstream &amp;in, AlgorithmOptions &amp;opt)</div><div class="ttdoc">Overloaded operator to read in the option file. </div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:135</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html_a62a5833dc2cddd9aede12f6250412b1d"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html#a62a5833dc2cddd9aede12f6250412b1d">decoop::SubproblemOptions::workspace_dir</a></div><div class="ttdeci">std::string workspace_dir</div><div class="ttdoc">(Absolute) path to directory containing the LP files for subproblem models. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:96</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a8c43d7fb85f28dcc1b1a66e60ae43157"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a8c43d7fb85f28dcc1b1a66e60ae43157">decoop::MainOptions::integrated_lp</a></div><div class="ttdeci">std::string integrated_lp</div><div class="ttdoc">LP file name for the integrated problem. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:35</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a7c5f0b0ea6148f253787a84c2e5afc00"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a7c5f0b0ea6148f253787a84c2e5afc00">decoop::AlgorithmOptions::initial_tau_factor</a></div><div class="ttdeci">double initial_tau_factor</div><div class="ttdoc">Factor to multiply with cooperating load to determine initial threshoold tau. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:71</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a96633b539424b2046da7a2829d0e0334"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a96633b539424b2046da7a2829d0e0334">decoop::MainOptions::timesteps</a></div><div class="ttdeci">unsigned timesteps</div><div class="ttdoc">Number of timesteps in the model. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:37</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_ac0f8dd6ff10b1a69a2a8bbaddf6512ff"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#ac0f8dd6ff10b1a69a2a8bbaddf6512ff">decoop::AlgorithmOptions::mu</a></div><div class="ttdeci">double mu</div><div class="ttdoc">Convex combination factor when generating new corepoints for secondary cuts. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:75</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a960ff610d1b23ac3c91187529a60c8f1"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a960ff610d1b23ac3c91187529a60c8f1">decoop::MainOptions::csv_name</a></div><div class="ttdeci">std::string csv_name</div><div class="ttdoc">File name for output csv file. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:43</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a76b48fc86284a3356b5cc399bf71cf4c"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a76b48fc86284a3356b5cc399bf71cf4c">decoop::AlgorithmOptions::primary_sp_type</a></div><div class="ttdeci">unsigned primary_sp_type</div><div class="ttdoc">Primary cut strategy. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:69</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a0f0d543cd46cfb0ebf2dfc658a5ce12e"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a0f0d543cd46cfb0ebf2dfc658a5ce12e">decoop::MainOptions::spec_name</a></div><div class="ttdeci">std::string spec_name</div><div class="ttdoc">File name for case study csv file which contains cumulated selected information. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:45</div></div>
<div class="ttc" id="namespacedecoop_html_ad534e2c0a18310dcbcd185623da4090a"><div class="ttname"><a href="namespacedecoop.html#ad534e2c0a18310dcbcd185623da4090a">decoop::ParseComments</a></div><div class="ttdeci">void ParseComments(std::fstream &amp;input)</div><div class="ttdoc">Skips lines containing comments when reading an option file. </div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:22</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a5477588b7543f9a5dc71c2a495090c75"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a5477588b7543f9a5dc71c2a495090c75">decoop::MainOptions::nominal_lp</a></div><div class="ttdeci">std::string nominal_lp</div><div class="ttdoc">LP file name for nominal operation. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:33</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_aeac3d0b456109248ae70f401caf96dda"><div class="ttname"><a href="structdecoop_1_1_main_options.html#aeac3d0b456109248ae70f401caf96dda">decoop::MainOptions::spec_func</a></div><div class="ttdeci">int spec_func</div><div class="ttdoc">Determines which information to write to case study csv file. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:46</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html_a4f6d97f2cf2e609ae3145d385dac922a"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html#a4f6d97f2cf2e609ae3145d385dac922a">decoop::SubproblemOptions::lp_file_cw</a></div><div class="ttdeci">std::string lp_file_cw</div><div class="ttdoc">LP file name for the CW-subproblem. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:97</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a3f206ae1268d151512e4d81b83ab6b88"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a3f206ae1268d151512e4d81b83ab6b88">decoop::AlgorithmOptions::eps</a></div><div class="ttdeci">double eps</div><div class="ttdoc">Numerical value for subproblem objective to consider the suggested power profile feasible. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:74</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html_a6adf585e6ae91a10acd8e9f2680a9042"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html#a6adf585e6ae91a10acd8e9f2680a9042">decoop::SubproblemOptions::lp_file_l1</a></div><div class="ttdeci">std::string lp_file_l1</div><div class="ttdoc">LP file name for the L1-subproblem. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:98</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a3ac01520df1f240d9f13e0126ba7143e"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a3ac01520df1f240d9f13e0126ba7143e">decoop::MainOptions::cong_indicator</a></div><div class="ttdeci">char cong_indicator</div><div class="ttdoc">Indicates whether the grid is in a congested state. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:40</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a90d8406e30b9ec993b7e3c9e7c6227bd"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a90d8406e30b9ec993b7e3c9e7c6227bd">decoop::MainOptions::output_name</a></div><div class="ttdeci">std::string output_name</div><div class="ttdoc">File name for output txt file. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:42</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html"><div class="ttname"><a href="structdecoop_1_1_main_options.html">decoop::MainOptions</a></div><div class="ttdoc">Processes user input from file options_main.txt. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:32</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html">decoop::AlgorithmOptions</a></div><div class="ttdoc">Processes user input from file options_algorithm.txt. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:66</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a87f857a8e8522132ff8e816a69816fdf"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a87f857a8e8522132ff8e816a69816fdf">decoop::AlgorithmOptions::secondary_sp_type</a></div><div class="ttdeci">unsigned secondary_sp_type</div><div class="ttdoc">Secondary cut strategy. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:70</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a3554b6bc902318c26081501c6e19f559"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a3554b6bc902318c26081501c6e19f559">decoop::MainOptions::univ_str</a></div><div class="ttdeci">std::string univ_str</div><div class="ttdoc">Multi-purpose string for output. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:38</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a167bffea4292fe44e2ede95642823161"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a167bffea4292fe44e2ede95642823161">decoop::AlgorithmOptions::accept_gap</a></div><div class="ttdeci">double accept_gap</div><div class="ttdoc">Acceptable optimality gap. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:72</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html_aa7d898f65ad2edb88b7f2834aa485054"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html#aa7d898f65ad2edb88b7f2834aa485054">decoop::SubproblemOptions::SubproblemOptions</a></div><div class="ttdeci">SubproblemOptions(const std::string &amp;path, const bool path_includes_name=false)</div><div class="ttdoc">Constructs a SubproblemOptions object given a path to the option file. Allows to specify a different ...</div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:198</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_aeb193299c0e56c731987b970b6312e92"><div class="ttname"><a href="structdecoop_1_1_main_options.html#aeb193299c0e56c731987b970b6312e92">decoop::MainOptions::price_lp</a></div><div class="ttdeci">std::string price_lp</div><div class="ttdoc">LP file name for computing prices. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:34</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a416177448ab5e0860a6608eb070d077a"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a416177448ab5e0860a6608eb070d077a">decoop::AlgorithmOptions::master_lp_file</a></div><div class="ttdeci">std::string master_lp_file</div><div class="ttdoc">LP file name for master problem. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:67</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a259a9032be522554bc91133d8860d0fa"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a259a9032be522554bc91133d8860d0fa">decoop::MainOptions::operator&gt;&gt;</a></div><div class="ttdeci">friend std::fstream &amp; operator&gt;&gt;(std::fstream &amp;in, MainOptions &amp;opt)</div><div class="ttdoc">Overloaded operator to read in the option file. </div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:58</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_a7e78934e5ce17d38d6306c201746f465"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#a7e78934e5ce17d38d6306c201746f465">decoop::AlgorithmOptions::max_iters</a></div><div class="ttdeci">unsigned max_iters</div><div class="ttdoc">Maximum number of iterations to perform. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:68</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a8f8776933747f455f4973fc786869a73"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a8f8776933747f455f4973fc786869a73">decoop::MainOptions::sub_dr_lp</a></div><div class="ttdeci">std::string sub_dr_lp</div><div class="ttdoc">LP file name for the demand response problem. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:36</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_ad4066cbd7583ea42db3bd3258017f7dd"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#ad4066cbd7583ea42db3bd3258017f7dd">decoop::AlgorithmOptions::rho</a></div><div class="ttdeci">double rho</div><div class="ttdoc">Safety factor when adjusting the feasibility threshold. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:73</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a8cb4d9f2195307716f83789852ed0341"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a8cb4d9f2195307716f83789852ed0341">decoop::MainOptions::use_int_prob</a></div><div class="ttdeci">bool use_int_prob</div><div class="ttdoc">Indicates whether the integrated problem should be solved. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:41</div></div>
<div class="ttc" id="structdecoop_1_1_algorithm_options_html_ae291f8136e977eb034ee35947dd7bac4"><div class="ttname"><a href="structdecoop_1_1_algorithm_options.html#ae291f8136e977eb034ee35947dd7bac4">decoop::AlgorithmOptions::AlgorithmOptions</a></div><div class="ttdeci">AlgorithmOptions(const std::string &amp;path, const bool path_includes_name=false)</div><div class="ttdoc">Constructs an AlgorithmOptions object given a path to the option file. Allows to specify a different ...</div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:211</div></div>
<div class="ttc" id="structdecoop_1_1_subproblem_options_html_aa172ab888763470a4175606504b9b5ff"><div class="ttname"><a href="structdecoop_1_1_subproblem_options.html#aa172ab888763470a4175606504b9b5ff">decoop::SubproblemOptions::operator&gt;&gt;</a></div><div class="ttdeci">friend std::fstream &amp; operator&gt;&gt;(std::fstream &amp;in, SubproblemOptions &amp;opt)</div><div class="ttdoc">Overloaded operator to read in the option file. </div><div class="ttdef"><b>Definition:</b> inputStructs.cpp:32</div></div>
<div class="ttc" id="structdecoop_1_1_main_options_html_a9b735345000795e52aafdfc9ae4c407e"><div class="ttname"><a href="structdecoop_1_1_main_options.html#a9b735345000795e52aafdfc9ae4c407e">decoop::MainOptions::plantbusses</a></div><div class="ttdeci">std::vector&lt; std::pair&lt; int, double &gt; &gt; plantbusses</div><div class="ttdoc">Contains bus numbers of cooperating busses as well as flexible load fractions. </div><div class="ttdef"><b>Definition:</b> inputStructs.hpp:39</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
